Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 585960 - SELinux is preventing /sbin/portreserve "getattr" access on /usr/share/man.
SELinux is preventing /sbin/portreserve "getattr" access on /usr/share/man.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
12
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:37042301ffa...
:
: 585962 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-26 10:28 EDT by saboormahar55
Modified: 2010-08-19 07:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-19 07:33:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description saboormahar55 2010-04-26 10:28:53 EDT
Summary:

SELinux is preventing /sbin/portreserve "getattr" access on /usr/share/man.

Detailed Description:

SELinux denied access requested by portrelease. It is not expected that this
access is required by portrelease and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:system_r:portreserve_t:s0
Target Context                system_u:object_r:man_t:s0
Target Objects                /usr/share/man [ dir ]
Source                        portrelease
Source Path                   /sbin/portreserve
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           portreserve-0.0.4-3.fc12
Target RPM Packages           filesystem-2.4.30-2.fc12
Policy RPM                    selinux-policy-3.6.32-106.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.32.10-90.fc12.i686.PAE #1 SMP
                              Tue Mar 23 10:04:28 UTC 2010 i686 i686
Alert Count                   2
First Seen                    Mon 26 Apr 2010 05:01:20 PM PKT
Last Seen                     Mon 26 Apr 2010 05:01:20 PM PKT
Local ID                      5a6e7c71-db0c-4fba-96c7-fd0208b46a6d
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1272283280.634:23448): avc:  denied  { getattr } for  pid=6564 comm="portrelease" path="/usr/share/man" dev=dm-0 ino=8197 scontext=unconfined_u:system_r:portreserve_t:s0 tcontext=system_u:object_r:man_t:s0 tclass=dir

node=(removed) type=SYSCALL msg=audit(1272283280.634:23448): arch=40000003 syscall=195 success=no exit=-13 a0=bfe994e0 a1=bfe99550 a2=48ffc4 a3=8 items=0 ppid=6554 pid=6564 auid=500 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=pts0 ses=1 comm="portrelease" exe="/sbin/portreserve" subj=unconfined_u:system_r:portreserve_t:s0 key=(null)



Hash String generated from  catchall,portrelease,portreserve_t,man_t,dir,getattr
audit2allow suggests:

#============= portreserve_t ==============
allow portreserve_t man_t:dir getattr;
Comment 1 Daniel Walsh 2010-04-26 11:26:03 EDT
Any chance you restarted portreserve while sitting in /usr/share/man or ran yum update from there?
Comment 2 Daniel Walsh 2010-04-26 11:26:26 EDT
*** Bug 585962 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.